Bug 164407 - system-config-cluster generates poorly formed XML in cluster.conf
Summary: system-config-cluster generates poorly formed XML in cluster.conf
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-27 18:45 UTC by Adam "mantis" Manthei
Modified: 2009-04-16 20:10 UTC (History)
2 users (show)

Fixed In Version: RHBA-2005-753
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-07 16:49:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of error (49.11 KB, image/png)
2005-07-27 18:45 UTC, Adam "mantis" Manthei
no flags Details
generated cluster.conf file (1.03 KB, text/plain)
2005-07-27 18:47 UTC, Adam "mantis" Manthei
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:753 normal SHIPPED_LIVE system-config-cluster bug update 2005-10-07 04:00:00 UTC

Description Adam "mantis" Manthei 2005-07-27 18:45:46 UTC
Description of problem:
system-config-cluster generates cluster.conf with Relax-NG validity errors.

Version-Release number of selected component (if applicable):
system-config-cluster-1.0.12-1.0

How reproducible:
dunno

Steps to Reproduce:
1. I used the tool to create a 5 node gulm cluster where all 5 nodes where
   to be lock servers

2. Using the tool I converted the cluster.conf to be a DLM cluster

3. I then converted it back to being a gulm cluster.  Apparently it got
   converted to an SLM cluster where the first node in the nodelisting was 
   assumed to be the lock server.  A very bad assumption, but whatever... 
   that's no the issue.

4. Now when I start the system-config-cluster tool on any one of the nodes, it
   complains about a poorly formed XML file.  I never touch the file contents
   by hand, letting the GUI do all the work (and corrupting) for me.
Actual results:
Starting the GUI using the cluster.conf generated by system-config-cluster
causes a dialog window to pop-up with the following message:


   [ Window Title ]
   Poorly Formed XML Error

   [In Label]
   A problem was encountered while reading configuration file /
   etc/cluster/cluster.conf. Details of the error appear below.
   Click the 'Cancel' button to quit the application. Click the
   'New' button to create a new configuration file. To continue
   anyway (Not Recommended!), click the 'Ok' button.

   [ In Text Area ]
   /etc/cluster/cluster.conf:2: element cluster: Relax-NG validity error : 
      Expecting an element cman, got nothing
   /etc/cluster/cluster.conf:48: element gulm: Relax-NG validity error : 
      Invalid sequence in interleave
   /etc/cluster/cluster.conf:2: element cluster: Relax-NG validity error :
      Expecting an element gulm, got nothing
   /etc/cluster/cluster.conf:2: element cluster: Relax-NG validity error :
      Invalid sequence in interleave
   /etc/cluster/cluster.conf:2: element cluster: Relax-NG validity error :
      Element cluster failed to validate content
   /etc/cluster/cluster.conf fails to validate


Expected results:
No errors when using the file the tool creates.

Additional info:

Comment 1 Adam "mantis" Manthei 2005-07-27 18:45:46 UTC
Created attachment 117204 [details]
screen shot of error

Comment 2 Adam "mantis" Manthei 2005-07-27 18:47:35 UTC
Created attachment 117205 [details]
generated cluster.conf file

Comment 3 Stanko Kupcevic 2005-08-03 18:24:34 UTC
Fixed in Errata Candidate

Comment 4 Corey Marthaler 2005-09-07 19:40:22 UTC
fix verified in 1.0.15

Comment 5 Red Hat Bugzilla 2005-10-07 16:49:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-753.html



Note You need to log in before you can comment on or make changes to this bug.